#ifndef _FD_TRANSITION_
#define _FD_TRANSITION_

typedef struct Transition Transition;
typedef struct Transitions Transitions;

#include "game.h"
#include "room.h"

struct Transition {
  Room *from;
  CommandType via;
  Room *to;
  char *description;
};

struct Transitions {
  Transition transitions[200];
  int count;
};

void game_load_transitions(Game *g);
Transition *find_transition(Transitions *t, Room *from, CommandType via);

#endif
